Bug 1480838 - dmraid-1.0.0.rc16-33 is not built with $RPM_OPT_FLAGS
dmraid-1.0.0.rc16-33 is not built with $RPM_OPT_FLAGS
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: dmraid (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marian Csontos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-12 02:37 EDT by Ville Skyttä
Modified: 2017-08-28 13:17 EDT (History)
8 users (show)

See Also:
Fixed In Version: dmraid-1.0.0.rc16-35.fc28
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2017-08-12 02:37:21 EDT
dmraid-1.0.0.rc16-33 is not built with $RPM_OPT_FLAGS, see build log at e.g. https://kojipkgs.fedoraproject.org//packages/dmraid/1.0.0.rc16/33.fc27/data/logs/x86_64/build.log

Looks like the configure script is not honoring CFLAGS etc set from the environment but overwrites them.

https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags
Comment 1 Jan Kurik 2017-08-15 02:56:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 2 Marian Csontos 2017-08-25 08:59:11 EDT
There were few problems - should be fixed in my mirror:

https://github.com/csonto/dmraid/commit/4e8349f8c05c687526e104803e4cef2031395138
Comment 3 Marian Csontos 2017-08-28 13:17:33 EDT
Rawhide packages built.

Note You need to log in before you can comment on or make changes to this bug.